package com.bonus.material.ma.service;

import java.util.List;
import com.bonus.material.ma.domain.DeviceManage;

/**
 * 机具设备管理Service接口
 * 
 * @author xsheng
 * @date 2024-09-27
 */
public interface IDeviceManageService 
{
    /**
     * 查询机具设备管理
     * 
     * @param deviceId 机具设备管理主键
     * @return 机具设备管理
     */
    public DeviceManage selectDeviceManageByDeviceId(Long deviceId);

    /**
     * 查询机具设备管理列表
     * 
     * @param deviceManage 机具设备管理
     * @return 机具设备管理集合
     */
    public List<DeviceManage> selectDeviceManageList(DeviceManage deviceManage);

    /**
     * 新增机具设备管理
     * 
     * @param deviceManage 机具设备管理
     * @return 结果
     */
    public int insertDeviceManage(DeviceManage deviceManage);

    /**
     * 修改机具设备管理
     * 
     * @param deviceManage 机具设备管理
     * @return 结果
     */
    public int updateDeviceManage(DeviceManage deviceManage);

    /**
     * 批量删除机具设备管理
     * 
     * @param deviceIds 需要删除的机具设备管理主键集合
     * @return 结果
     */
    public int deleteDeviceManageByDeviceIds(Long[] deviceIds);

    /**
     * 删除机具设备管理信息
     * 
     * @param deviceId 机具设备管理主键
     * @return 结果
     */
    public int deleteDeviceManageByDeviceId(Long deviceId);
}
